Loading...
Searching...
No Matches
colours.h File Reference

Functions to reduce code duplication between IPA modules. More...

`#include <stdint.h>`
`#include "libcamera/internal/vector.h"`
Include dependency graph for colours.h:

Go to the source code of this file.

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.
namespace | libcamera::ipa
| The IPA (Image Processing Algorithm) namespace.

## Functions

double | libcamera::ipa::rec601LuminanceFromRGB (const RGB< double > &rgb)
| Estimate luminance from RGB values following ITU-R BT.601.
uint32_t | libcamera::ipa::estimateCCT (const RGB< double > &rgb)
| Estimate correlated colour temperature from RGB color space input.

## Detailed Description

Functions to reduce code duplication between IPA modules.